%define upstream_name    Syntax-Keyword-Try
%define upstream_version 0.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A C<try/catch/finally> syntax for perl
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Syntax/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Test2::V0)
BuildRequires: perl(XS::Parse::Keyword) >= 0.60.0
BuildRequires: perl(XS::Parse::Keyword::Builder) >= 0.60.0
BuildRequires: perl-devel
%description
This module provides a syntax plugin that implements exception-handling
semantics in a form familiar to users of other languages, being built on a
block labeled with the 'try' keyword, followed by at least one of a 'catch'
or 'finally' block.

As well as providing a handy syntax for this useful behaviour, this module
also serves to contain a number of code examples for how to implement
parser plugins and manipulate optrees to provide new syntax and behaviours
for perl code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Fri Dec 01 2023 tv <tv> 0.290.0-2.mga10
+ Revision: 2012427
- Rebuild for perl-5.38

* Tue Aug 29 2023 tv <tv> 0.290.0-1.mga10
+ Revision: 1981020
- update to 0.29

* Wed Dec 14 2022 tv <tv> 0.280.0-1.mga9
+ Revision: 1922070
- update to 0.28

* Thu Aug 04 2022 tv <tv> 0.270.0-3.mga9
+ Revision: 1875110
- Rebuild for perl-5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.270.0-2.mga9
+ Revision: 1796900
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 tv <tv> 0.270.0-1.mga9
+ Revision: 1784047
- update to 0.27

* Sat Oct 16 2021 tv <tv> 0.260.0-1.mga9
+ Revision: 1751800
- update to 0.26

* Wed Jun 02 2021 tv <tv> 0.250.0-1.mga9
+ Revision: 1729284
- update to 0.25

* Wed May 12 2021 tv <tv> 0.240.0-1.mga9
+ Revision: 1722593
- update to 0.24

* Mon Mar 29 2021 tv <tv> 0.230.0-1.mga9
+ Revision: 1711681
- update to 0.23

* Wed Feb 17 2021 guillomovitch <guillomovitch> 0.210.0-1.mga9
+ Revision: 1675489
- imported package perl-Syntax-Keyword-Try

